return {
    {
        "ThePrimeagen/harpoon",
        -- branch = "harpoon2",
        dependencies = {
            {
                "nvim-lua/plenary.nvim"
            }
        },
        init = function()
            vim.keymap.set("n", "<C-e>", function() require("harpoon.ui").toggle_quick_menu() end, {desc = "Toggle harpoon ui"})
            vim.keymap.set("n", "<leader>a", function() require("harpoon.mark").add_file() end, {desc = "Add to harpoon list"})

            vim.keymap.set("n", "<C-h>", function() require("harpoon.ui").nav_file(1) end)
            vim.keymap.set("n", "<C-t>", function() require("harpoon.ui").nav_file(2) end)
            vim.keymap.set("n", "<C-n>", function() require("harpoon.ui").nav_file(3) end)
            vim.keymap.set("n", "<C-s>", function() require("harpoon.ui").nav_file(4) end)
        end
    }

}
